NSX-T Data Center Global Manager REST API
Create or Update global identity firewall configuration settings applied to the sites.
This API is used to create or update global identity firewall configuration settings applied to the sites.This API is not available on the UI.
Request:
Method:
PUT
URI Path(s):
/global-manager/api/v1/global-infra/settings/firewall/idfw/global-config-setting
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
GlobalIdentityFirewallConfiguration+
Example Request:
PUT https://<policy-mgr>/global-manager/api/v1/global-infra/settings/firewall/idfw/global-config-setting { "idfw_site_mapping_db_migration": true, "resource_type": "GlobalIdentityFirewallConfiguration", "id": "global-config-setting", "display_name": "global-config-setting", "path": "/global-infra/settings/firewall/idfw/global-config-setting", "relative_path": "global-config-setting", "parent_path": "/global-infra", "remote_path": "", "unique_id": "6e6e6945-1923-4310-a79e-1ef31953ef44", "owner_id": "7beedc91-3d7c-4e03-bf19-9c7d780dcfb5", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1742539615646, "_create_user": "system", "_last_modified_time": 1742544507582, "_last_modified_user": "admin", "_revision": 2 }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
GlobalIdentityFirewallConfiguration+